List integrations
GET
/api/v1/integrations
const url = 'https://digize.com/api/v1/integrations';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://digize.com/api/v1/integrations \ --header 'x-api-key: <x-api-key>'Every service the workspace can connect, and whether each is connected, needs attention or isn’t connected.
Needs the settings:read permission.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Done
Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
status
required
string
account
required
What it’s connected as: an account, a number, an email.
string | null
details
required
Array<string>
scopes
required
What the workspace allowed it to do when it connected.
Array<string>
connectedBy
required
string | null
webhook
required
error
required
Why it needs attention.
string | null
ready
required
Whether this server has the service’s app credentials, so Connect can work.
boolean
Example
{ "data": [ { "id": "stripe", "status": "connected", "webhook": { "status": "healthy" }, "connectWith": "oauth" } ]}What was sent isn’t valid (invalid).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}No key, or one that’s unknown, off or expired.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}The key doesn’t have the permission this needs.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Nothing has that id (not_found).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Over the rate limit; see retry-after.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}